#include <afxdb.h>
#include <iostream.h>
#include "ClienteRs.h"

CClienteRs::CClienteRs( CDatabase* pDatabase ):CRecordset( pDatabase )
{
	m_iClienteID	= 0;
	m_sNome			= _T("");
	m_sMorada		= _T("");
	m_sTelefone		= _T("");
	m_sFax			= _T("");
	m_sEmail		= _T("");
	m_nFields		= 6;
}

CClienteRs::~CClienteRs() {}

CString CClienteRs::GetDefaultSQL()
{	
	return _T("[clientes]");
}


void CClienteRs::DoFieldExchange( CFieldExchange* pFX )
{
	pFX->SetFieldType( CFieldExchange::outputColumn );

	RFX_Long( pFX, _T("[clienteid]"),m_iClienteID);
	RFX_Text( pFX, _T("[nome]"),     m_sNome);
	RFX_Text( pFX, _T("[morada]"),   m_sMorada);
	RFX_Text( pFX, _T("[telefone]"), m_sTelefone);
	RFX_Text( pFX, _T("[fax]"),      m_sFax);
	RFX_Text( pFX, _T("[email]"),    m_sEmail);
}

ostream& operator<<( ostream& os, const CClienteRs& cli )
{
	cout << "----------------------------------" << endl;
	cout << "Codigo:\t\t"<< cli.m_iClienteID<< endl;
	cout << "Nome\t\t"   << cli.m_sNome     << endl;
	cout << "Morada\t\t" << cli.m_sMorada   << endl;
	cout << "Telefone\t" << cli.m_sTelefone << endl;
	cout << "Fax\t\t"    << cli.m_sFax      << endl;
	cout << "E-Mail\t\t" << cli.m_sEmail    << endl << endl;

	return(os);
}

istream& operator>>( istream& is, CClienteRs& cli )
{
	char str[ CClienteRs::MAXSTRLEN + 1 ];

	cout << "----------------------------------" << endl;
	//  o ID  automatico
	//	cout << "ID\t\t"     << cli.m_iClienteID       << endl;

	cout << "Nome\t\t";   
	cin.getline( str, CClienteRs::MAXSTRLEN+1 ); 
	cli.m_sNome     = str;

	cout << "Morada\t\t"; 
	cin.getline( str, CClienteRs::MAXSTRLEN+1 ); 
	cli.m_sMorada   = str;

	cout << "Telefone\t"; 
	cin.getline( str, CClienteRs::MAXSTRLEN+1 ); 
	cli.m_sTelefone = str;

	cout << "Fax\t\t";    
	cin.getline( str, CClienteRs::MAXSTRLEN+1 ); 
	cli.m_sFax      = str;

	cout << "E-Mail\t\t"; 
	cin.getline( str, CClienteRs::MAXSTRLEN+1 ); 
	cli.m_sEmail    = str;

	return(is);
}
